﻿namespace MapTest
{
    using System;
    using System.Windows;
    using System.Windows.Threading;

    public partial class MainWindow : Window
    {
        #region Ctor

        public MainWindow()
        {
            InitializeComponent();   
        }

        #endregion

        #region Event handlers

        void timer_Tick(object sender, EventArgs e)
        {
            try
            {
                // Continuously pan horizontal
                this.map.WindowPositionHorizontal = this.map.WindowRect.X - 0.00001;
                this.panTimer.Interval = TimeSpan.FromMilliseconds(500);
            }
            catch (Exception) { }
        }
       
        private void GeoMap_Loaded(object sender, RoutedEventArgs e)
        {
            try
            {
                this.map = sender as Infragistics.Controls.Maps.XamGeographicMap;

                // start in D.C.
                Rect washDcRect = new Rect(0.39141999241134462, 0.382525576718907, 0.000099999999999988987, 0.000099999999999988987);
                this.map.WindowRect = washDcRect;

                // pan timer
                this.panTimer = new DispatcherTimer();
                this.panTimer.Tick += timer_Tick;
                this.panTimer.Interval = TimeSpan.FromSeconds(10);
                this.panTimer.Start();
            }
            catch (Exception) { }
        }

        #endregion

        #region Members

        private DispatcherTimer panTimer = null;
        private Infragistics.Controls.Maps.XamGeographicMap map = null;

        #endregion
    }
}
